## mono 6.8.0.105+dfsg

=== external/binary-reference-assemblies/Makefile ===
all:
	$(MAKE) -C v2.0
	$(MAKE) -C v3.5
	$(MAKE) -C v4.0
	$(MAKE) -C v4.5
	$(MAKE) -C v4.5.1
	$(MAKE) -C v4.5.2
	$(MAKE) -C v4.6
	$(MAKE) -C v4.6.1
	$(MAKE) -C v4.6.2
	$(MAKE) -C v4.7
	$(MAKE) -C v4.7.1
	$(MAKE) -C v4.7.2
	$(MAKE) -C v4.8
	$(MAKE) -C mono
	$(MAKE) -C build/monotouch
	$(MAKE) -C build/monodroid

clean:
	$(MAKE) -C v2.0 clean
	$(MAKE) -C v3.5 clean
	$(MAKE) -C v4.0 clean
	$(MAKE) -C v4.5 clean
	$(MAKE) -C v4.5.1 clean
	$(MAKE) -C v4.5.2 clean
	$(MAKE) -C v4.6 clean
	$(MAKE) -C v4.6.1 clean
	$(MAKE) -C v4.6.2 clean
	$(MAKE) -C v4.7 clean
	$(MAKE) -C v4.7.1 clean
	$(MAKE) -C v4.7.2 clean
	$(MAKE) -C v4.8 clean
	$(MAKE) -C mono clean
	$(MAKE) -C build/monotouch clean
	$(MAKE) -C build/monodroid clean

.PHONY: all clean
