=== mcs/class/Makefile ===
thisdir = class

NO_FACADES_PROFILE := $(filter monodroid_tools monotouch_tools wasm_tools binary_reference_assemblies xbuild_12 xbuild_14 netcore, $(PROFILE))

ifndef NO_FACADES_PROFILE
FACADES_FOLDER := Facades
endif

-include ../build/config.make

ifdef MCS_MODE
MCS_MODE_dirs := Mono.Cecil.Mdb
endif

# Tooling dependencies of mscorlib, we build them to /tmp folder for MONO_PATH to work
# reliably for clean and update builds. All deps are built against stable API to run with
# range of boostrap versions and .NET at the same time
build_SUBDIRS = \
	Mono.Cecil \
	$(MCS_MODE_dirs) \
	../tools/cil-stringreplacer \
	PEAPI \
	../ilasm \
	corlib

build_PARALLEL_SUBDIRS = \
	Mono.Security \
	System \
	System.XML \
	System.Security \
	Mono.Posix \
	System.Core \
	System.Configuration \
	System.ComponentModel.Composition.4.5 \
	System.Numerics \
	System.Xml.Linq \
	System.IO.Compression \
	System.IO.Compression.FileSystem \
	System.Net.Http \
	System.Net.Http.WebRequest \
	System.Drawing

ifdef MCS_MODE

build_SUBDIRS += \
	Mono.Security \
	System \
	System.XML \
	System.Security \
	Mono.Posix \
	System.Core \
	Mono.CompilerServices.SymbolWriter

build_PARALLEL_SUBDIRS += ../mcs
endif

mobile_common_dirs := \
	corlib

mobile_common_dirs_parallel := \
	Mono.Security \
	System	\
	System.Core	\
	System.XML	\
	System.Security	\
	I18N		\
	System.ServiceModel.Internals	\
	System.Runtime.Serialization	\
	System.Xml.Linq	\
	System.IdentityModel		\
	System.ServiceModel	\
	System.ServiceModel.Web	\
	System.Json	\
	System.Web.Services	\
	Mono.Data.Tds	\
	System.Transactions	\
	System.Numerics	\
	System.Numerics.Vectors		\
	System.Data	\
	System.Data.DataSetExtensions \
	Mono.Data.Sqlite	\
	System.Data.Services.Client \
	System.IO.Compression \
	System.IO.Compression.FileSystem \
	System.ComponentModel.DataAnnotations \
	System.ComponentModel.Composition.4.5 \
	System.Net \
	System.Net.Http	\
	System.Windows \
	System.Xml.Serialization \
	Microsoft.CSharp \
	System.Reflection.Context	\
	System.Net.Http.WinHttpHandler \
	System.Runtime.CompilerServices.Unsafe

testing_aot_full_dirs_parallel := \
	$(mobile_common_dirs_parallel)	\
	Mono.Simd \
	Mono.CSharp

testing_aot_full_interp_dirs_parallel := $(testing_aot_full_dirs_parallel)

testing_aot_hybrid_dirs_parallel := $(testing_aot_full_dirs_parallel)

xammac_dirs_parallel := \
	$(mobile_common_dirs_parallel)	\
	Mono.CompilerServices.SymbolWriter	\
	Mono.CSharp

monodroid_dirs_parallel := \
	$(mobile_common_dirs_parallel)	\
	Mono.CompilerServices.SymbolWriter	\
	Mono.Btls.Interface	\
	Mono.Posix \
	Mono.CSharp \
	Mono.Debugger.Soft \
	Mono.Runtime.Tests

monodroid_tools_dirs_parallel := \
	Mono.Cecil	\
	Mono.Cecil.Mdb	\
	Mono.CompilerServices.SymbolWriter \
	ICSharpCode.SharpZipLib	\
	monodoc \
	Mono.Debugger.Soft \
	Mono.Profiler.Log

monotouch_tools_dirs_parallel := \
	Mono.Cecil \
	Mono.Cecil.Mdb

monotouch_dirs_parallel := \
	$(mobile_common_dirs_parallel)	\
	Mono.Simd \
	Mono.CSharp \
	Mono.Runtime.Tests

monotouch_watch_dirs_parallel := $(filter-out Mono.Security Mono.Data.Tds,$(monotouch_dirs_parallel))

monotouch_runtime_dirs_parallel := \
	Mono.Security \
	System \
	System.Core \
	System.XML \
	Mono.CSharp

monotouch_tv_dirs_parallel := $(monotouch_dirs_parallel)

monotouch_tv_runtime_dirs_parallel := $(monotouch_runtime_dirs_parallel)

monotouch_watch_runtime_dirs_parallel := \
	System \
	System.Core \
	System.XML \
	Mono.CSharp

monotouch_tv_runtime_dirs := \
	Mono.Security \
	$(monotouch_watch_runtime_dirs_parallel)

winaot_dirs_parallel := \
	$(mobile_common_dirs_parallel)	\
	Mono.Simd

testing_winaot_interp_dirs_parallel := \
	$(mobile_common_dirs_parallel)	\
	Mono.Simd

unreal_dirs_parallel := \
	$(mobile_common_dirs_parallel)

wasm_dirs_parallel := \
	Mono.Security \
	System	\
	System.Core	\
	System.XML	\
	System.Security	\
	I18N		\
	System.Transactions	\
	System.ServiceModel.Internals	\
	System.Runtime.Serialization	\
	System.Data	\
	System.Data.DataSetExtensions	\
	System.Xml.Linq	\
	System.Numerics	\
	System.Numerics.Vectors		\
	System.IO.Compression \
	System.IO.Compression.FileSystem \
	System.ComponentModel.DataAnnotations \
	System.ComponentModel.Composition.4.5 \
	System.Net.Http	\
	Microsoft.CSharp \
	System.Runtime.CompilerServices.Unsafe

wasm_tools_dirs_parallel := \
	Mono.Cecil

orbis_dirs_parallel := \
	$(filter-out Microsoft.CSharp Mono.Data.Sqlite,$(mobile_common_dirs_parallel))

xammac_4_5_dirs_parallel := \
	Mono.Security \
	System	\
	System.XML			\
	System.Security			\
	Mono.Posix	\
	System.Core	\
	System.Configuration	\
	I18N		\
	System.ServiceModel.Internals	\
	SMDiagnostics	\
	System.Numerics	\
	System.Numerics.Vectors		\
	Mono.Data.Tds	\
	System.Transactions	\
	System.EnterpriseServices	\
	System.Data	\
	System.Data.DataSetExtensions	\
	System.Runtime.Serialization	\
	System.Xml.Linq	\
	Mono.Data.Sqlite	\
	System.Runtime.Serialization.Formatters.Soap \
	System.ComponentModel.DataAnnotations \
	System.IdentityModel		\
	System.IdentityModel.Selectors	\
	Mono.Messaging			\
	System.Configuration.Install 	\
	System.Messaging	        \
	System.Web.Services \
	System.ServiceModel	\
	System.ServiceModel.Web	\
	System.Json	\
	System.Data.Services.Client \
	System.IO.Compression \
	System.IO.Compression.FileSystem \
	System.ComponentModel.Composition.4.5 \
	System.Net \
	System.Windows \
	System.Xml.Serialization \
	Mono.CSharp	\
	Microsoft.CSharp \
	Mono.CompilerServices.SymbolWriter	\
	System.Data.Linq		\
	System.Net.Http \
	System.Net.Http.WebRequest \
	System.Reflection.Context	\
	System.Net.Http.WinHttpHandler	\
	System.Runtime.CompilerServices.Unsafe

# Could be just mscorlib but we have unhandled dependency from RabbitMQ.Client.Apigen.exe
net_4_x_dirs := \
	corlib \
	Mono.Security \
	System	\
	System.XML

net_4_x_parallel_dirs = \
	System.Security			\
	Mono.Posix			\
	System.Core			\
	System.Configuration	\
	System.Drawing			\
	System.IO.Compression 		\
	System.IO.Compression.FileSystem \
	System.Transactions		\
	System.EnterpriseServices	\
	System.Numerics		\
	System.Numerics.Vectors		\
	System.Data		\
	System.ComponentModel.DataAnnotations	\
	Accessibility			\
	Mono.WebBrowser			\
	System.Runtime.Serialization.Formatters.Soap \
	System.Windows.Forms		\
	Mono.Data.Sqlite		\
	System.Web.ApplicationServices	\
	Novell.Directory.Ldap		\
	System.DirectoryServices	\
	System.Design			\
	System.Web.Services		\
	System.Web			\
	System.Runtime.Remoting		\
	System.Configuration.Install 	\
	System.Management		\
	System.Data.OracleClient	\
	Commons.Xml.Relaxng		\
	Mono.Messaging			\
	System.Messaging	        \
	System.ServiceProcess           \
	System.Drawing.Design		\
	ICSharpCode.SharpZipLib		\
	Microsoft.CSharp	\
	System.ServiceModel.Internals	\
	SMDiagnostics	\
	System.Runtime.Serialization	\
	System.Xml.Linq			\
	System.Data.Linq		\
	System.Web.Abstractions		\
	System.Web.Routing		\
	System.Runtime.DurableInstancing \
	System.IdentityModel		\
	System.IdentityModel.Selectors	\
	System.ServiceModel		\
	System.Web.Extensions		\
	System.Web.Extensions.Design	\
	System.Web.DynamicData		\
	System.Net			\
	System.Xaml \
	WindowsBase \
	System.ServiceModel.Activation \
	System.ServiceModel.Routing \
	System.ServiceModel.Discovery \
	System.Runtime.Caching \
	Microsoft.Web.Infrastructure \
	System.ServiceModel.Web \
	System.Net.Http	\
	System.Net.Http.WebRequest \
	System.Web.Razor \
	System.Web.WebPages.Deployment \
	System.Web.WebPages \
	System.Web.WebPages.Razor \
	System.Web.Mvc3 \
	System.Net.Http.Formatting \
	System.Web.Http \
	System.Web.Http.SelfHost \
	System.Web.Http.WebHost \
	CustomMarshalers		\
	IBM.Data.DB2			\
	PEAPI				\
	I18N				\
	Cscompmgd			\
	Mono.CompilerServices.SymbolWriter \
	Mono.Btls.Interface		\
	Mono.Http			\
	Mono.Cairo                      \
	Mono.Cecil			\
	Mono.Cecil.Mdb			\
	Mono.CSharp			\
	Mono.Debugger.Soft		\
	Mono.C5				\
	Mono.Management			\
	Mono.Options 			\
	Mono.Simd			\
	Mono.Tasklets       		\
	Mono.CodeContracts \
	Mono.Parallel \
	Mono.Security.Win32		\
	Mono.Messaging.RabbitMQ		\
	Mono.Data.Tds			\
	System.Dynamic			\
	System.Windows.Forms.DataVisualization	\
	System.Reactive.Interfaces \
	System.Reactive.Core \
	System.Reactive.Linq \
	System.Reactive.PlatformServices \
	System.Reactive.Providers \
	System.Reactive.Runtime.Remoting \
	System.Reactive.Windows.Forms \
	System.Reactive.Windows.Threading \
	System.Reactive.Observable.Aliases \
	System.Reactive.Experimental \
	System.Reactive.Debugger \
	System.Data.Services.Client	\
	System.Data.Services \
	System.Data.Entity \
	System.Data.DataSetExtensions	\
	System.Json		\
	System.Json.Microsoft \
	System.Threading.Tasks.Dataflow \
	System.ComponentModel.Composition.4.5 \
	System.Windows \
	System.Xml.Serialization \
	System.DirectoryServices.Protocols	\
	RabbitMQ.Client			\
	Microsoft.VisualC		\
	WebMatrix.Data \
	monodoc	\
	System.Deployment \
	System.Web.Mobile \
	System.Web.RegularExpressions \
	System.Workflow.Activities \
	System.Workflow.ComponentModel \
	System.Workflow.Runtime \
	System.Reflection.Context \
	Mono.Profiler.Log	\
	Mono.Runtime.Tests	\
	System.Runtime.CompilerServices.Unsafe \
	legacy/Mono.Cecil \
	SystemWebTestShim \
	$(xbuild_4_0_dirs)

xbuild_4_0_dirs := \
	Microsoft.Build.Framework	\
	Microsoft.Build.Utilities	\
	Microsoft.Build.Engine		\
	Mono.XBuild.Tasks		\
	Microsoft.Build.Tasks	\
	Microsoft.Build

monodroid_SUBDIRS := $(mobile_common_dirs)
monodroid_PARALLEL_SUBDIRS := $(monodroid_dirs_parallel)
monodroid_tools_SUBDIRS := 
monodroid_tools_PARALLEL_SUBDIRS := $(monodroid_tools_dirs_parallel)

monotouch_SUBDIRS := $(mobile_common_dirs)
monotouch_PARALLEL_SUBDIRS := $(monotouch_dirs_parallel)
monotouch_watch_SUBDIRS := $(mobile_common_dirs)
monotouch_watch_PARALLEL_SUBDIRS := $(monotouch_watch_dirs_parallel)
monotouch_tv_SUBDIRS    := $(mobile_common_dirs)
monotouch_tv_PARALLEL_SUBDIRS := $(monotouch_tv_dirs_parallel)
monotouch_runtime_SUBDIRS := $(mobile_common_dirs)
monotouch_runtime_PARALLEL_SUBDIRS := $(monotouch_runtime_dirs_parallel)
monotouch_watch_runtime_SUBDIRS := $(mobile_common_dirs)
monotouch_watch_runtime_PARALLEL_SUBDIRS := $(monotouch_watch_runtime_dirs_parallel)
monotouch_tv_runtime_SUBDIRS := $(mobile_common_dirs)
monotouch_tv_runtime_PARALLEL_SUBDIRS := $(monotouch_tv_runtime_dirs_parallel)
monotouch_tools_SUBDIRS :=
monotouch_tools_PARALLEL_SUBDIRS := $(monotouch_tools_dirs_parallel)

testing_aot_full_interp_SUBDIRS := $(mobile_common_dirs)
testing_aot_full_interp_PARALLEL_SUBDIRS := $(testing_aot_full_interp_dirs_parallel)
testing_aot_full_SUBDIRS := $(mobile_common_dirs)
testing_aot_full_PARALLEL_SUBDIRS := $(testing_aot_full_dirs_parallel)
testing_aot_hybrid_SUBDIRS := $(mobile_common_dirs)
testing_aot_hybrid_PARALLEL_SUBDIRS := $(testing_aot_hybrid_dirs_parallel)

xammac_SUBDIRS := $(mobile_common_dirs)
xammac_PARALLEL_SUBDIRS := $(xammac_dirs_parallel)
xammac_net_4_5_SUBDIRS := $(mobile_common_dirs)
xammac_net_4_5_PARALLEL_SUBDIRS := $(xammac_4_5_dirs_parallel)

binary_reference_assemblies_SUBDIRS := reference-assemblies
net_4_x_SUBDIRS := $(net_4_x_dirs)
net_4_x_PARALLEL_SUBDIRS := $(net_4_x_parallel_dirs)
xbuild_12_SUBDIRS := $(xbuild_4_0_dirs)
xbuild_14_SUBDIRS := $(xbuild_4_0_dirs) Microsoft.NuGet.Build.Tasks

winaot_SUBDIRS := $(mobile_common_dirs)
winaot_PARALLEL_SUBDIRS := $(winaot_dirs_parallel)

testing_winaot_interp_SUBDIRS := $(mobile_common_dirs)
testing_winaot_interp_PARALLEL_SUBDIRS := $(testing_winaot_interp_dirs_parallel)

orbis_SUBDIRS := $(mobile_common_dirs)
orbis_PARALLEL_SUBDIRS := $(orbis_dirs_parallel)

unreal_SUBDIRS := $(mobile_common_dirs)
unreal_PARALLEL_SUBDIRS := $(unreal_dirs_parallel)

wasm_SUBDIRS := $(mobile_common_dirs)
wasm_PARALLEL_SUBDIRS := $(wasm_dirs_parallel)
wasm_tools_SUBDIRS :=
wasm_tools_PARALLEL_SUBDIRS := $(wasm_tools_dirs_parallel)

netcore_SUBDIRS :=
netcore_PARALLEL_SUBDIRS :=

include ../build/rules.make
