=== debian/changelog ===
mono (6.8.0.105+dfsg-3.6ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:35:26 +0000

mono (6.8.0.105+dfsg-3.6ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Use -O2 to fix build on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Mar 2024 09:44:38 +0100

mono (6.8.0.105+dfsg-3.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066220).

 -- Andrey Rakhmatullin <wrar@debian.org>  Fri, 15 Mar 2024 22:02:36 +0500

mono (6.8.0.105+dfsg-3.5ubuntu1) noble; urgency=medium

  * Use -O2 to fix build on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 12:56:53 +0100
